<bugID>382877<Summary>dynamic containers implementation</Summary><Description>there's a bunch of commented out code for this which needs to evaluated. this is a key feature for extensions to hook into into the Places system.</Description></bugID>